[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBText.Loaded

Performs actions when LCL component streaming has been completed.

## Declaration

Source position: dbctrls.pp line 294

`protected procedure TDBText.Loaded; override;`

## Description

Loaded is called by the streaming system when a root component was completely read from a stream and all properties and references to other objects have been resolved by the streaming system. Descendants of TComponent should override this method to do some additional processing of properties after all published properties have been set from values obtained from the stream.

Application programmers should never call Loaded directly; this is done automatically by the LCL streaming system.

## See also

TControl.Loaded |  | Performs actions needed when LCL component streaming has been completed.